﻿using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace mapeditor
{
    public class mapeditor
    {
        public static void Main()
        {

            CategoryBuilder.Create("Hats", "",ModAPI.LoadSprite("cat.png"));

                                    //Sunglasses
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "SunGlasses -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "They look really cool",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SunglassesView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sunglasses.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                   //Top Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Top Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Yes sir i would like a cup of tea.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("TopHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TopHat.png", 0.9f);
  Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    Instance.FixColliders();
                                }
                            }
                        );

                                       //Afro
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Afro -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Every mod needs Afro",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("AfroView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Afro.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                       //Bandana
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Bandana -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Gangster life",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BandanaView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                      Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                            ModAPI.LoadSprite("Bandana.png"),
                            ModAPI.LoadSprite("Bandana2.png"),
                            ModAPI.LoadSprite("Bandana3.png"),
                            ModAPI.LoadSprite("Bandana4.png")
                        };
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                               //Baseball Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Baseball Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "And its goal!! wait wrong sport",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BaseballHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                      Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                            ModAPI.LoadSprite("BaseballHat.png"),
                            ModAPI.LoadSprite("BaseballHat2.png"),
                            ModAPI.LoadSprite("BaseballHatt3.png")
                        };
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                   
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                //Beanie Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Beanie -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Nothing to do with Beans",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BeanieHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BeanieHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                      //Blonde Beard
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Blonde Beard -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Pretty Beard",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BlondeBeard1View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BlondeBeard1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                      //Blonde Hair
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Blonde Hair -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Blonde does not mean you are dumb!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BlondeHairView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BlondeHair.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                      //BoaterHat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Boater Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "I like this one",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BoaterHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BoaterHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                      //Brown Beard 1
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Brown Beard -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Standard Brown Beard",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BrownBeard1View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BrownBeard1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                      //Brown Hair
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Brown Hair -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Just Hair but Brown",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BrownHairView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BrownHair.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                      //Crown
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Crown -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Yes my lord, as you wish.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("CrownView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Crown.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                   //Engineer Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Engineer Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "keeps your head safe",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("EngineerHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("EngineerHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                              //Glasses
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Glasses -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Not looking like and evil scienist...",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("GlassesView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glasses.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                    //Jason Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Jason Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Scary!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("JasonMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("JasonMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                             //Kid Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Kid Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Never saw it in real life but still.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("KidHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("KidHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                        //Long Beard
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Long Beard -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Just a long beard",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("LongBeardView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LongBeard.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                             //Long Hair
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Long Hair -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "These are nice",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("LongHairView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LongHair.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                             //Mediaval Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Mediaval Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Get your swords ready!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MediavalHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MediavalHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                           //Millitary Helmet
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Millitary Helmet -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Get your guns ready!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MiIlitaryHelmetView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MiIlitaryHelmet.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                            //Ninja Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Ninja Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "We need shurikens Mestiez!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("NinjaMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                      Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                            ModAPI.LoadSprite("NinjaMask.png"),
                            ModAPI.LoadSprite("NinjaMask2.png")
                        };
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                             //Party Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Party Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Never gonna give you up.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("PartyHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PartyHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                           //Police Cap
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Police cap -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Police lives matters too",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("PoliceCapView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PoliceCap.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                           //Robber Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Robber Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Dont steal from me!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("RobberMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RobberMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                           //Santa Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Santa Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Ho ho ho in summer",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SantaHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                      Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                            ModAPI.LoadSprite("SantaHat.png"),
                            ModAPI.LoadSprite("SantaHat2.png")

                        };
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                           //Scar
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Scar -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "You can put this anywhere on human.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("ScarView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Scar.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                           //Space Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Space Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Space Space Space!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SpaceHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SpaceHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                    //SpiderMan Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Spider Man Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Friendly neigbourhood mask",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SpidermanMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SpidermanMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                        
                                                                    //Viking Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Viking Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Rus fo Daah",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("VikingHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VikingHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );



                                                                    //Cowboy Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Cowboy Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Draw!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("CowboyHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CowboyHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                               //Black Hair
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Black Hair -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Black hair because why not",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BlackHairView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BlackHair.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                //Chef Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Chef Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "we need pasta!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("ChefHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ChefHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                   //Gas Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Gas Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "its uselles but looks good",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("GasMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GasMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                   //Head Crab
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Head Crab -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Yes you can make a zomibe from half life.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("HeadCrabView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HeadCrab.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                   //Medium Blond
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Medium Blond Hair -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "yes long blond hair what else do you want",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MediumBlondView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MediumBlond.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                   //Monocle
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Monocle -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "guy in a comment section wanted this there you go.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MonocleView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Monocle.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                   //Moustache
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Moustache -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Another pretty Beard",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MoustacheView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Moustache.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

             //Spartan Helmet
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Spartan Helmet -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "This is Pasta!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SpartanHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SpartanHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );


             //German Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "German Helmet -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Warum übersetzen Sie das?",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("GermanHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GermanHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                             //Mohawk
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Mohawk -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "i did not wanted this in the mod but someone wants it sooo",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MohawkView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mohawk.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

            //Old Scuba Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Old Scuba Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Human will still die in water but it looks good :D",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("OldScubaHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("OldScubaHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                              //Riot Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Riot Helmet -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Watch out for Riots",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("RiotHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RiotHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                          //Scuba Diving Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Scuba Diving Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Just a scuba diving mask",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("ScubaDivingMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScubaDivingMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

               //White Beard
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "White Beard -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Not for santa claus.. maybe",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("WhiteBeardView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WhiteBeard.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                          //White Hair
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "White Hair -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "For old people",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("WhiteHairView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WhiteHair.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

         //NightVision Googles
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "NightVision Googles -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Bravo six going Dark",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("NightVisionGooglesView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NightVisionGoogles.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                 //Clown's wigger
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Clown's wigger -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Clown crying...",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("Clown's wiggerView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Clown's wigger.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );


                                               //Clown Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Clown Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Battered clown mask",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("ClownView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Clown.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                      //PonyTail
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "PonyTail -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "My little Pony!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("PonyTailView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PonyTail.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                        //Hazmat Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Hazmat Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Good for Chernobyl Roleplay",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("HazmatHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HazmatHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                //Respirator
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Respirator -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "For Quarantine",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("RespiratorView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Respirator.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );


                                //Sombrero
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Sombrero -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Amigo!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SombreroView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sombrero.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                       //Pirate Sailor Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Pirate Sailor Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Are ya ready kids!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("PirateSailorHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PirateSailorHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                               //Pirate Captain Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Pirate Captain Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "AY AY CAPTAIN!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("PirateCaptainHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PirateCaptainHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                               //Freddy Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Freddy Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Welcome to your new summer job.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("FreddyMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FreddyMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                       //Asian Cone Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Asian Cone Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "-China- Donald Trump",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("AsianConeHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AsianConeHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

  //FireFighter Helmet
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "FireFighter Helmet -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Actually Protects him.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("FirefighterHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FirefighterHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );


  //MummyMask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Mummy Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "The Mummy mask",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MummyMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MummyMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Welding Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Welding Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "protects nothing ",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("FireHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FireHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Ushanka
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Ushanka -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Russian Hat.",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("UshankaView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ushanka.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Skeleton Head
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Skeleton -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "There you go!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("SkeletonHeadView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SkeletonHead.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Witch Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Witch Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Boo scary witch",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("WitchHatView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WitchHat.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Bicycle Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Bicycle Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "For your bike",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BicycleHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BicycleHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //RetroPilot Helm
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "RetroPilot Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Old is Gold",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("RetroPilotHelmView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RetroPilotHelm.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Plague Doctor Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Plague Doctor Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Cure for the disease",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("PlagueDoctorMaskView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PlagueDoctorMask.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //MLGglasses
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "MLG glasses -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Just Do IT!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("MLGglassesView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MLGglasses.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Vr Headset
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "VR headset -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "for your virtual world in virtual world",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("VRView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("VR.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

 //Beret Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Beret Hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "For you soldiers",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("BeretView.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Beret.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
             //Balistic Mask
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Balistic Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Time to Shoot",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/1View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/1.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
                 //Kabuto
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Kabuto -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Samurai Go BRRR",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/2View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/2.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                             //Jester Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Jester hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Make me laugh",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/3View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/3.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
                                         //Fez Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Fez hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "kebab...",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/4View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/4.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                     //Nurse Hat
            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Nurse hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "HEAL ME!!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/5View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/5.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                   //Pharaoh hat
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Pharaoh hat -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Ancient hat wore by very cool people",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/6View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/6.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
                                                                           //Gaming Headphone
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Gaming Headphones -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "GAMER TIME",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/7View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {

                                      Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                            ModAPI.LoadSprite("newstuff/7.png"),
                            ModAPI.LoadSprite("newstuff/7_2.png"),
                            ModAPI.LoadSprite("newstuff/7_3.png")
                        };
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                           //Knight Slash helm
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Knight Slash Helm -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Easter egg",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/8View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/8.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );

                                                                                                   //Pumpkin Mask
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Pumpkin Mask -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "Haloween 2021",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/9View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/9.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
                                   //Motorcycle Helmet
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "Motorcycle Helmet -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "WEEEE",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/10View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/10.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );
                                         //BlindFold
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                                NameOverride = "BlindFold -HM",
NameToOrderByOverride = "Z1",
                                DescriptionOverride = "I cant See HELP!",
                                CategoryOverride = ModAPI.FindCategory("Hats"),
                                ThumbnailOverride = ModAPI.LoadSprite("newstuff/11View.png", 5f),
                                AfterSpawn = (Instance) =>
                                {
                                    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newstuff/11.png", 0.9f);
Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.AddComponent<BoxCollider2D>();
                                }
                            }
                        );




        }
    }
}